Subject: Re: bug#20241: 25.0.50; `setq' with only one argument

From: John Wiegley <[email-masked]>
Date: Tue, 24 Nov 2015 17:46:23 -0800

>>>>> Alan Mackenzie <[email-masked]> writes:

> I favour leaving the situation as it is. However, it is for John to decide.
> If he comes round to the view that an error is too strong, I am willing to
> turn it back into a warning.

I would like it to appear in 25.1. I'm willing to err against caution this
time. It would be stranger to me to have it go from a warning to an error
within 25.x, which then means waiting until 26 for it to be an error.

Now that it's in the release branch, how about we try out some large packages
and see if it's actually a problem? Since I can't imagine anyone intentionally
using this just to save themselves from typing "nil", I'd expect people would
want to know that their setq is ill-formed. It might indicate a real problem.

John